Version 1.8.0 - Stable

The latest news about Gargoyle

Moderator: Moderators

Eric
Site Admin
Posts: 1433
Joined: Sat Jun 14, 2008 1:14 pm

Version 1.8.0 - Stable

Postby Eric » Thu Aug 20, 2015 8:50 pm

There are very few changes between this release and 1.7.2, but this release is the first official "stable" release based on Barrier Breaker. While not as much time has passed between the port to Barrier Breaker in 1.7.0 and the release of this stable branch, this branch will now become the stable branch so that work can begin on a new branch, 1.9.x, based on Chaos Calmer, which is due out very soon.

New in 1.8.0:
  • Updated Polish, Russian and Chinese translations for new adblock plugin
  • WAN LED should now light properly on D-Link DIR-835 routers


Do NOT preserve settings/restore config from versions < 1.7.2
Last edited by Lantis on Sun Aug 23, 2015 6:42 pm, edited 2 times in total.
Reason: Preserve settings warning added

User avatar
apvm
Posts: 49
Joined: Thu Apr 30, 2015 7:30 am

Re: Version 1.8.0 - Stable

Postby apvm » Thu Aug 20, 2015 9:27 pm

Thanks. Going to upgrade my 1043nd v1 tonight once everyone went to bed. Going to back up my 1.7.2 configuration and restore the file once upgraded to 1.8. Thank you again for the hard work.

User avatar
apvm
Posts: 49
Joined: Thu Apr 30, 2015 7:30 am

Re: Version 1.8.0 - Stable

Postby apvm » Fri Aug 21, 2015 12:59 am

Well too bad, the upgrade went bad and my 1043nd is now bricked. failsafe unbrick don't work since the sys led don't flash at all. Set up my Linksys ea6900 now. Maybe it is time to retire the 1043nd.

ispyisail
Moderator
Posts: 3276
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.8.0 - Stable

Postby ispyisail » Fri Aug 21, 2015 1:55 am

Maybe it is time to retire the 1043nd.


On the same machine I was running 1.7.2.x - 1 or 2 revisions before 1.8, effectively the same version.

I upgraded to 1.8 on a remote site and now its gone down. Will have to investigate.

edit: preserved settings on upgrade

emukim
Posts: 7
Joined: Fri Aug 21, 2015 1:22 am

Re: Version 1.8.0 - Stable

Postby emukim » Fri Aug 21, 2015 2:15 am

941nd v3 working well with 1.8.0
without trying to preserve setting
restore default Configuration before upgrade from 1.6.2 to 1.8.0

tapper
Moderator
Posts: 981
Joined: Sun Oct 13, 2013 5:49 pm
Location: Stoke-on-trent UK

Re: Version 1.8.0 - Stable

Postby tapper » Fri Aug 21, 2015 2:55 am

All good here on wdr3600 thanks!
TP-Link WR1043ND v2.1 Gargoyle 1.6.2
Western Digital My Net N750 Gargoyle 1.9x
TP-Link TL-WDR3600 V1.5 Gargoyle 1.9x
TP-Link Archer C7 Gargoyle 1.9x
Linksys WRT1900AC V2 Gargoyle 1.9x
Linksys WRT3200ACM LEDE 17.1

User avatar
apvm
Posts: 49
Joined: Thu Apr 30, 2015 7:30 am

Re: Version 1.8.0 - Stable

Postby apvm » Fri Aug 21, 2015 6:29 am

ispyisail wrote:
Maybe it is time to retire the 1043nd.


On the same machine I was running 1.7.2.x - 1 or 2 revisions before 1.8, effectively the same version.

I upgraded to 1.8 on a remote site and now its gone down. Will have to investigate.

edit: preserved settings on upgrade


Mine is 1043nd v1.7, did not check preserve settings on upgrade. Is it the only way now to unbrick it is by ttl?

s0ne
Posts: 7
Joined: Tue Mar 17, 2015 7:34 pm

Re: Version 1.8.0 - Stable

Postby s0ne » Fri Aug 21, 2015 9:02 am

emukim wrote:941nd v3 working well with 1.8.0
without trying to preserve setting
restore default Configuration before upgrade from 1.6.2 to 1.8.0

I also have a TL-WR941ND (v3.2) and since Gargoyle 1.6.0 I'm having trouble with saving my settings. It seems that some time after flashing, the router memory becomes read-only and new settings don't stick. Have you ever get something like that?
(I never select "preserve settings" when upgrading nor do I restore settings from previous versions, btw)

I noticed that on the status page it reads
Model:TP-Link TL-WR941N/ND v2
Does it say v3 on yours?

emukim
Posts: 7
Joined: Fri Aug 21, 2015 1:22 am

Re: Version 1.8.0 - Stable

Postby emukim » Fri Aug 21, 2015 11:55 am

> Have you ever get something like that?
No,not happen to me.

> I noticed that on the status page it reads
> Model:TP-Link TL-WR941N/ND v2
> Does it say v3 on yours?
it say v2 also
Image

LHoust
Posts: 18
Joined: Fri May 27, 2011 1:22 pm
Location: Canada

Re: Version 1.8.0 - Stable

Postby LHoust » Fri Aug 21, 2015 4:03 pm

Flashed my TP-WR941ND v3.6 with 1.8.0 from TP-Link's Stock Firmware and my Status Page also Reports v2 instead of v3... :(


Return to “News”

Who is online

Users browsing this forum: Bing [Bot] and 6 guests